Payment Reject Detail Report
Introduction
The Payment Reject Detail Report provides a list of ACH payment rejects that have taken place within the specified time period.
GET /api/pp/reports/payments/rejects/details
Request Parameters
| Field | Description | Required | Format | Max Len |
|---|---|---|---|---|
| start_date | Beginning date | Yes | YYYY-MM-DD | 10 |
| end_date | Ending date | No | YYYY-MM-DD | 10 |
Response Parameters
| Field | Description | Format | Max Len |
|---|---|---|---|
| id | Unique ID for this payment | UUID | 36 |
| amount | US Dollar amount of payment | 9999.99 | 12 |
| timestamp | Date and time the transaction was made | YYYY-MM-DDThh:mm:ssZ | 25 |
| reject_date | Date the transaction rejected | YYYY-MM-DDT00:00:00Z | 11 |
| reject_code | NACHA return / correction code | See below | 10 |
| reject_reason | Reject reason description | 100 | |
| tracking_id | Customer provided value for tracking payment | 50 |
Reject Code Values
See this page for a list of reject codes.
Correction Code Values
See this page for a list of correction codes.
Example
GET /api/pp/reports/payments/rejects/details?start_date=2013-01-01&end_date=2013-01-31
Response
[
{
"id" : "71e30a3f-cbae-435a-b908-c39ec4ce3883",
"amount" : "450.00",
"timestamp" : "2013-01-20T16:00:00Z",
"reject_date" : "2013-01-23T00:00:00Z",
"reject_code" : "R01",
"reject_reason" : "Insufficient Funds",
"tracking_id" : "PM1234-309"
},
{
"id" : "3029e508-7257-4cdb-aa9e-685b0d628d3a",
"amount" : "89.00",
"timestamp" : "2013-01-21T12:00:00Z",
"reject_date" : "2013-01-23T00:00:00Z",
"reject_code" : "000005",
"reject_reason" : "Do not honor",
"tracking_id" : "PM1234-332"
},
{
"id" : "bea3631a-4811-49e0-84c8-fc1cdbdef716",
"amount" : "620.00",
"timestamp" : "2013-01-24T18:30:00Z",
"reject_date" : "2013-01-27T00:00:00Z",
"reject_code" : "C02",
"reject_reason" : "Incorrect Transit/Routing Number",
"tracking_id" : "PM1234-399"
}
]